package com.kym.common;

import java.util.List;


/**
 * 实体查询对象
 *
 * @param <T>
 */
public class IQuery<T> {
    public int pageSize = -1;
    public int pageNum;
    public T query;


    public static class  IPageBean<T>{
        public int pageSize;
        public int pageNum;
        public int total;
        public List<T> list;
    }

    public static IPageBean  newPageBean(long count,List<?> dtoList){
        IPageBean page = new IPageBean();
        page.total = (int) count;
        page.list = dtoList;
        return page;
    }

}
